//*****************************************************************************
// Description     : Declaration for SiTCP communication
// Target Device   : any device with SiTCP board
// Target Platform : Linux, C
// Date            : April 2021
// Version         : 2.0
//*****************************************************************************
#ifndef __SUB_SITCP_H__
#define __SUB_SITCP_H__


extern unsigned short sub_sitcp_read_2byte(char *, int, unsigned int, int *);
extern unsigned int sub_sitcp_read_4byte(char *, int, unsigned int, int *);
extern unsigned long long sub_sitcp_read_6byte(char *, int, unsigned int, int *);
extern unsigned long long sub_sitcp_read_8byte(char *, int, unsigned int, int *);

extern int sub_sitcp_write_2byte(char *, int, unsigned int, unsigned short);
extern int sub_sitcp_write_4byte(char *, int, unsigned int, unsigned int);
extern int sub_sitcp_write_6byte(char *, int, unsigned int, unsigned long long);
extern int sub_sitcp_write_8byte(char *, int, unsigned int, unsigned long long);


#endif // __SUB_SITCP_H__

